<?php 
// /HEADER SETTINGS IN CUSTOMIZER
 $wp_customize->add_section( 'header_menu_settings' , array(
        'title'    => __( 'Menu Settings', 'luzuk-premium' ),
        'priority' => null,
        'panel' => 'luzuk_header_panel2'
    ) );



$wp_customize->add_setting('dinero_reset_menusetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new dinero_Reset_Custom_Control($wp_customize, 'dinero_reset_menusetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Menu Settings', 'dinero'),
  'description' => 'dinero_menusetting_reset_settings',
  'section' => 'header_menu_settings'
)));

    $wp_customize->add_setting('luzuk_menusetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new luzuk_Tab_Control($wp_customize, 'luzuk_menusetting_nav', array(
       'section' => 'header_menu_settings',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
               'dinero_submenu_animation',
               'dinero_menu_case',
               'dinero_menu_font_size',
               'dinero_menu_font_weight'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'header_topmenusColor',
                'header_topmenushoverColor',
                'header_topmenusactiveColor',
                'header_topsubmenusColor',
                'header_submenusbgssc1Color',
                'header_submenusbgssc2Color'                          
            ),
         ),
          array(
            'name' => esc_html__('Responsive Menu', 'luzuk-premium'),
            'icon' => 'dashicons dashicons-desktop',
            'fields' => array(
                'header_topsubmenuiconColor',
                'header_respnavtoggbarbgssColor',
                'header_respnavbsbgssColor',
                'header_navigationrespnavbrssColor',
                'dinero_respmenu_font_size'
           ),
         )
        ),
    )));

//menu dropdown animation
$lzmenuanimation = getAnimations(true);

$wp_customize->add_setting(
   'dinero_submenu_animation',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new luzuk_Font_Chooser(
      $wp_customize,
      'dinero_submenu_animation',
      array(
         'settings'=> 'dinero_submenu_animation',
         'section' => 'header_menu_settings',
         'label'=>__('Menu Dropdown Animations', 'Luzuk Premium'),
         'choices'=>$lzmenuanimation
      )
   )
);



//menu font case
$lzmenufontcase = getfontcase(true);

$wp_customize->add_setting(
   'dinero_menu_case',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new luzuk_Font_Chooser(
      $wp_customize,
      'dinero_menu_case',
      array(
         'settings'=> 'dinero_menu_case',
         'section' => 'header_menu_settings',
         'label'=>__('Menu Font Case', 'Luzuk Premium'),
         'choices'=>$lzmenufontcase
      )
   )
);

   $wp_customize->add_setting('dinero_menu_font_size',array(
      'default' => '16px',
      'sanitize_callback'  => 'dinero_sanitize_integer'
   ));
   $wp_customize->add_control('dinero_menu_font_size',array(
      'type' => 'number',
      'label' => __('Menu Font Size','dinero'),
      'section' => 'header_menu_settings',
   ));

   $wp_customize->add_setting('dinero_menu_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'dinero_sanitize_choices'
   ));
   $wp_customize->add_control('dinero_menu_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','dinero'),
      'section' => 'header_menu_settings',
      'choices' => array(
         '300' => __('300','dinero'),
         '400' => __('400','dinero'),
         '600' => __('600','dinero'),
         '700' => __('700','dinero'),
         '800' => __('800','dinero')
      ),
   ));





addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_menu_settings', 'Menus color', '');
addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_menu_settings', 'Menus Hover color', '');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_menu_settings', 'Active Menus color', '');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_menu_settings', 'Dropdown Menus color', '');

addColorPalatOption($wp_customize, 'header_submenusbgssc1Color', 'header_menu_settings', 'Dropdown Background color', '');
addColorPalatOption($wp_customize, 'header_submenusbgssc2Color', 'header_menu_settings', 'Dropdown Background color', '');

addColorPalatOption($wp_customize, 'header_topsubmenuiconColor', 'header_menu_settings', 'Menus Icon color', '');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_menu_settings', 'Toggle Bar color', '');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_menu_settings', 'Background Color', '');
addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_menu_settings', 'Border Color', '');

 $wp_customize->add_setting('dinero_respmenu_font_size',array(
      'default' => '16px',
      'sanitize_callback'  => 'dinero_sanitize_integer'
   ));
   $wp_customize->add_control('dinero_respmenu_font_size',array(
      'type' => 'number',
      'label' => __('Menu Font Size','dinero'),
      'section' => 'header_menu_settings',
   ));

?>